#! /bin/bash


#just do the server side bits

export PYTHONPATH=/usr/lib/anaconda

VERSION=build8
BUILDDIR=/home/centos/build
DISTDIR=/centos-3/$VERSION
BUILDTIME=`date +%Y%m%d%H%M`
LOGFILE=/centos-3/$VERSION/build.$BUILDTIME.log

echo "2nd stage build ... - logging to $LOGFILE"
echo "2nd stage build" > $LOGFILE
#run as root ...

## copy extra repos into disc 3
## WARNING - at the moment there is space there - may not always be

cp -al $DISTDIR/addons $DISTDIR/i386-disc3/ >> $LOGFILE 2>&1
cp -al $DISTDIR/extras $DISTDIR/i386-disc3/ >> $LOGFILE 2>&1
cp -al $DISTDIR/updates $DISTDIR/i386-disc3/ >> $LOGFILE 2>&1
cp -al $DISTDIR/docs $DISTDIR/i386-disc3/ >> $LOGFILE 2>&1

echo "Writing isos"
## write the isos

rm -f CentOS-*.iso

publisher='Caos Project'
bootimg='isolinux/isolinux.bin'
bootcat='isolinux/boot.cat'
distname='CentOS'
distvers='3.1'
#mkisopts='-r -N -L -d -D -J'
mkisopts='-r -J'
today="$(date '+%d %b %Y')"
mkisofs $mkisopts \
	-V "CentOS-3 Disk 1" \
	-A "CentOS-3 created on $today" \
	-P "$publisher" \
	-p "$publisher" \
	-b "$bootimg" \
	-c "$bootcat" \
	-no-emul-boot -boot-load-size 4 -boot-info-table \
	-x lost+found \
	-o "$distname"-1.iso \
	i386-disc1 >> $LOGFILE 2>&1

/usr/lib/anaconda-runtime/implantisomd5 "$distname"-1.iso >> $LOGFILE 2>&1

for i in 2 3 4 5 6 ; do
	mkisofs $mkisopts \
	-V "CentOS-3 Disk $i" \
	-A "CentOS-3 created $today" \
	-P "$publisher" \
	-p "$publisher" \
	-x lost+found \
	-o "$distname"-${i}.iso \
	i386-disc${i} >> $LOGFILE 2>&1

	/usr/lib/anaconda-runtime/implantisomd5 "$distname"-${i}.iso >> $LOGFILE 2>&1

done

echo "Finished - log is $LOGFILE"

